<?php

	/*******************************************************************\
	|																	|
	|	房佳（新房报备ERP管理系统）										|
	|																	|
	|	© 2020-2023 http://www.kaidandashi.com/ All rights reserved.	|
	|																	|
	|	本系统由淮南市银泰软件科技有限公司提供技术支持					|
	|																	|
	|	QQ号：984784483													|
	|																	|
	\*******************************************************************/

	namespace Admin\Controller;
	use Think\Controller;
	class GetfyqrController extends Controller {
		public function qrcode($url='',$level=3,$size=4){
			ob_end_clean(); //清空所有缓冲区
			//引入二维码生成插件
			Vendor('phpqrcode.phpqrcode');
			$errorCorrectionLevel =intval($level) ;//容错级别 
			$matrixPointSize = intval($size);//生成图片大小 
			//生成二维码图片 
			//echo $_SERVER['REQUEST_URI'];
			$object = new \QRcode();
			$object->png($url, false, $errorCorrectionLevel, $matrixPointSize, 2);   
		}
		public function mobileh5qr(){
			$url = "http://".$_SERVER['HTTP_HOST']."/mobile/";
			$this->qrcode($url,3,4);
		}
		public function mobileqr(){
			$url = "http://demofj.kaidandashi.com/mobile/";
			$this->qrcode($url,3,4);
		}
		public function nwapkqr(){
			$url = "http://demofj.kaidandashi.com/Upload/azbyxcx/房佳.apk";
			$this->qrcode($url,3,4);
		}
		public function nwh5(){
			$url = "http://".$_SERVER['HTTP_HOST']."/Admin/getfyqr/mobileqr.html";
			echo '<style>body{margin: 60px;}</style><img src="'.$url.'" style="width: 240px;height: 240px;">';
			die;
		}
		public function nwapk(){
			$url = "http://".$_SERVER['HTTP_HOST']."/Admin/getfyqr/nwapkqr.html";
			echo '<style>body{margin: 60px;}</style><img src="'.$url.'" style="width: 240px;height: 240px;">';
			die;
		}
		public function nwxcx(){
			$url = "http://demofj.kaidandashi.com/Upload/azbyxcx/开单大师.jpg";
			echo '<style>body{margin: 60px;}</style><img src="'.$url.'" style="width: 240px;height: 240px;">';
			die;
		}
	}